// gnome.xonotic.in.ua

models/mapobjects/gratelamp/gratelamp
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratelamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/gratelamp/gratelamp_flare
{
	deformvertexes autosprite
	q3map_surfacelight 10
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map models/mapobjects/gratelamp/gratelamp_flare.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/gr_trees/tree6
{
	cull none
	nopicmip
	{
		map models/mapobjects/gr_trees/tree6.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lloydmlf2/lloydmlf2
{
	cull none
	nopicmip
	{
		map models/mapobjects/lloydmlf2/lloydmlf2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/vehicles/ht_body
{
	cull disable
	{
		map models/mapobjects/vehicles/ht_body.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/vehicles/ht_launcher
{
	cull disable
	{
		map models/mapobjects/vehicles/ht_launcher.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/vehicles/ht_wheels
{
	cull disable
	{
		map models/mapobjects/vehicles/ht_wheels.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/vehicles/tractorbody
{
	{
		map textures/effects/envmapblue2.tga
		tcgen environment
	}
	{
		map models/mapobjects/vehicles/tractorbody.tga
		blendfunc blend
		rgbgen vertex
	}
}

models/mapobjects/vehicles/truckfront
{
	cull disable
	{
		map models/mapobjects/vehicles/truckfront.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/objects/colombia/jungle/grass2_shd
{
	cull none
	nopicmip
	{
		map models/objects/colombia/jungle/grass2_shd.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/objects/finca/furniture/poolside_table_alpha
{
	cull none
	nopicmip
	{
		map models/objects/finca/furniture/poolside_table_alpha.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/alpha/chateau_c07
{
	surfaceparm metalsteps
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/alpha/chateau_c07.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/alpha/chateau_c08
{
	surfaceparm metalsteps
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/alpha/chateau_c08.tga
		blendfunc blend
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/alpha/chateau_c11
{
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/alpha/chateau_c11.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/alpha/chateau_c14
{
	surfaceparm metalsteps
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/alpha/chateau_c14.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/alpha/fence_c06
{
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/alpha/fence_c06.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/alpha/fence_m06
{
	surfaceparm metalsteps
	cull disable
	nopicmip
	{
		map textures/alpha/fence_m06.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/base_floor/techfloor
{
	surfaceparm metalsteps
	{
		map textures/sfx/proto_zzztpink.tga
		tcmod turb 0 .5 0 9.6
		tcmod scale 2 2
		tcmod scroll 9 5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		clampmap textures/base_floor/techfloor2.tga
		blendfunc blend
		tcmod rotate 170
		tcmod stretch sin .8 0.2 0 .4
		rgbgen identity
	}
	{
		map textures/base_floor/techfloor.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/jaildr1_3
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/chrome_metal
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/chrome_metal.tga
		blendfunc gl_one gl_one
		detail
		tcmod scale 0.0693 0.0712
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_wall/glass01
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_light/gothic_light2_4k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/gothic_light3_6k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/lavajaxnomove
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	cull disable
	{
		map textures/liquids/lavahell.tga
	}
}

textures/sfx/fan3
{
	cull disable
	surfaceparm alphashadow
	sort 6
	{
		map textures/sfx/fan3.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/sam
{
	qer_editorimage textures/tex_env/sam_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
	q3map_lightsubdivide 512
	q3map_surfacelight 100
	q3map_sun 0.75 0.79 1 140 0 90
	skyparms textures/tex_env/sam 512 -
	{
		map textures/tex_env/sam_back.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.015 0.016
		tcmod scale 3 3
	}
	{
		map textures/tex_env/sam_front.tga
		blendfunc gl_one gl_one
		tcmod scroll -0.01 -0.012
		tcmod scale 5 5
	}
}

textures/tex_2/curtain_1dirty
{
	cull disable
	nopicmip
	deformvertexes wave 194 sin 2 2 0 0.3
	{
		map textures/tex_2/curtain_1dirty.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_2/hedgerowsml
{
	cull disable
	nopicmip
	deformvertexes wave 194 sin 2 2 0 0.3
	{
		map textures/tex_2/hedgerowsml.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_2/hedgerowsmlnomowe
{
	cull disable
	nopicmip
	{
		map textures/tex_2/hedgerowsmlnomowe.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_2/jh_foliage3
{
	surfaceparm nomarks
	cull disable
	nopicmip
	{
		map textures/tex_2/jh_foliage3.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_2/sp_curtain_townhall
{
	cull disable
	nopicmip
	deformvertexes wave 194 sin 0 2 0 0.3
	{
		map textures/tex_2/sp_curtain_townhall.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_2/windowframebroken
{
	cull disable
	nopicmip
	{
		map textures/tex_2/windowframebroken.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/tex_effects/blue_banner02
{
	surfaceparm alphashadow
	cull none
	{
		map textures/tex_effects/blue_banner02.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tex_effects/blue_kolo
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/tex_effects/blue_kolo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/tex_effects/blue_strzalka
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/tex_effects/blue_strzalka.tga
		blendfunc blend
		rgbgen identity
	}
}

textures/tex_effects/cornerlight
{
	q3map_lightimage textures/tex_effects/cornerlight.glow.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map textures/tex_effects/cornerlight.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/tex_effects/cornerlight.glow.tga
		blendfunc add
		rgbgen wave sawtooth 0.6 0.1 0 7
	}
}

textures/tex_effects/red_banner02
{
	surfaceparm alphashadow
	cull none
	{
		map textures/tex_effects/red_banner02.tga
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/tex_effects/red_kolo
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/tex_effects/red_kolo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

textures/tex_effects/red_lightning
{
	qer_editorimage textures/tex_effects/sfx_lighting_01.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	{
		animmap 20 textures/tex_effects/sfx_lighting_01.tga textures/tex_effects/sfx_lighting_02.tga textures/tex_effects/sfx_lighting_03.tga textures/tex_effects/sfx_lighting_04.tga textures/tex_effects/sfx_lighting_05.tga
		tcmod rotate 20
		blendfunc add
		rgbgen wave square 0 1 0 1
	}
	{
		animmap 20 textures/tex_effects/sfx_lighting_01.tga textures/tex_effects/sfx_lighting_02.tga textures/tex_effects/sfx_lighting_03.tga textures/tex_effects/sfx_lighting_04.tga textures/tex_effects/sfx_lighting_05.tga
		tcmod rotate -30
		blendfunc add
		rgbgen wave square 0 1 .25 1.2
	}
}

textures/tex_effects/red_strzalka
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/tex_effects/red_strzalka.tga
		blendfunc blend
		rgbgen identity
	}
}

textures/tex_effects/wodospad
{
	surfaceparm nonsolid
	cull disable
	deformvertexes wave 100 sin 0 1 0 1.5
	{
		map textures/tex_effects/wodospad.tga
		blendfunc blend
		rgbgen vertex
		tcmod scroll 0 -2
		alphagen vertex
	}
}

textures/tex_effects/yellow_kolo
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/tex_effects/yellow_kolo.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
}

